{% extends 'base.html.twig' %}

{% block body -%}
<main class='main-content bgc-grey-100'>
    <div id='mainContent'>
    <h1>Modifica del provider di dati</h1>


    <ul id="mainMenu"  class="nav nav-pills" role="tablist">
        <li class="nav-item">
            <a href="#general" role="tab" data-toggle="pill" class="nav-link active">Generale</a>
        </li>
        <li class="nav-item">
            <a href="#student" role="tab" data-toggle="pill" class="nav-link">Studenti</a>
        </li>
        <li class="nav-item">
            <a href="#teacher" role="tab" data-toggle="pill" class="nav-link">Docenti</a></li>
        <li class="nav-item">
            <a href="#pdf" role="tab" data-toggle="pill" class="nav-link">Pdf</a>
        </li>
    </ul>
    {{ form_start(main_form) }}
        <input id="fakeUser" type="text" autocomplete="off" style="display: none;"/><input id="fakePw" type="password" autocomplete="off" style="display: none;"/>
        {{ form_errors(main_form) }}
        <div id="tabContent" class="tab-content" style="margin: 20px;">
            <div class="tab-pane active in" id="general">
                {{ form_row(main_form.name) }}
                {{ form_row(main_form.filter) }}
                {{ form_row(main_form.filterDataCont) }}
                {{ form_row(main_form.appleSchoolLocation) }}
                {{ form_row(main_form.active) }}
            </div>
            <div class="tab-pane in" id="student">
                {{ form_row(main_form.internetOpenAccessRange) }}
                {{ form_row(main_form.studentsOrderByInTeacherList) }}

                <h4>Impostazioni utenza Active Directory</h4>
                {{ form_row(main_form.studentAutoCreateUsername) }}
                {{ form_row(main_form.studentLdapAutoUsernameStyle) }}
                {{ form_row(main_form.studentForceImportedPasswordInitial) }}
                {{ form_row(main_form.studentForceImportedPassword) }}
                {{ form_row(main_form.studentLdapExtendedUsernameSuffix) }}
                {{ form_row(main_form.studentLdapUseEmailForExtendedUsername) }}

                <h4>Divisione in unit&agrave; organizzative su Active Directory</h4>
                {{ form_row(main_form.studentLdapCreateOU) }}
                {{ form_row(main_form.studentLdapOUPrefix) }}
                {{ form_row(main_form.studentLdapOUPath) }}

                <h4>Generazione Caselle email su Google Apps</h4>
                {{ form_row(main_form.studentGoogleAppClientId) }}
                {{ form_row(main_form.studentGoogleAppDomain) }}
                {{ form_row(main_form.studentGoogleAppClientSecret) }}
                {{ form_row(main_form.studentGoogleAppAutoEmail) }}
                {{ form_row(main_form.studentGoogleAppAutoEmailStyle) }}

                <h4>Generazione Gruppi email su Google Apps</h4>
                {{ form_row(main_form.studentGoogleAppCreateGroup) }}
                {{ form_row(main_form.studentGoogleAppCreateProviderGroup) }}
                {{ form_row(main_form.studentGoogleAppUseUserInProviderGroup) }}
                {{ form_row(main_form.studentGoogleAppGroupPrefix) }}
                {{ form_row(main_form.studentGoogleAppGroupExtraEmail) }}
                {{ form_row(main_form.studentGoogleAppProviderGroupExtraEmail) }}

                <h4>Divisione in unit&agrave; organizzative su Google Apps</h4>
                {{ form_row(main_form.studentGoogleAppCreateOU) }}
                {{ form_row(main_form.studentGoogleAppOUPrefix) }}
                {{ form_row(main_form.studentGoogleAppOUPath) }}
            </div>

            <div class="tab-pane in" id="teacher">
                {{ form_row(main_form.internetTeachersControl) }}

                <h4>Impostazioni utenza Active Directory</h4>
                {{ form_row(main_form.teacherAutoCreateUsername) }}
                {{ form_row(main_form.teacherLdapAutoUsernameStyle) }}
                {{ form_row(main_form.teacherForceImportedPasswordInitial) }}
                {{ form_row(main_form.teacherForceImportedPassword) }}
                {{ form_row(main_form.teacherLdapExtendedUsernameSuffix) }}
                {{ form_row(main_form.teacherLdapUseEmailForExtendedUsername) }}

                <h4>Divisione in unit&agrave; organizzative su Active Directory</h4>
                {{ form_row(main_form.teacherLdapCreateOU) }}
                {{ form_row(main_form.teacherLdapOUPrefix) }}
                {{ form_row(main_form.teacherLdapOUPath) }}

                <h4>Generazione Caselle email su Google Apps</h4>
                {{ form_row(main_form.teacherGoogleAppClientId) }}
                {{ form_row(main_form.teacherGoogleAppDomain) }}
                {{ form_row(main_form.teacherGoogleAppClientSecret) }}
                {{ form_row(main_form.teacherGoogleAppAutoEmail) }}
                {{ form_row(main_form.teacherGoogleAppAutoEmailStyle) }}

                <h4>Generazione Gruppi email su Google Apps</h4>
                {{ form_row(main_form.teacherGoogleAppCreateGroup) }}
                {{ form_row(main_form.teacherGoogleAppCreateProviderGroup) }}
                {{ form_row(main_form.teacherGoogleAppUseUserInProviderGroup) }}
                {{ form_row(main_form.teacherGoogleAppGroupPrefix) }}
                {{ form_row(main_form.teacherGoogleAppGroupExtraEmail) }}
                {{ form_row(main_form.teacherGoogleAppProviderGroupExtraEmail) }}

                <h4>Divisione in unit&agrave; organizzative su Google Apps</h4>
                {{ form_row(main_form.teacherGoogleAppCreateOU) }}
                {{ form_row(main_form.teacherGoogleAppOUPrefix) }}
                {{ form_row(main_form.teacherGoogleAppOUPath) }}
            </div>

            <div id="pdf" class="tab-pane">
                {{ form_row(main_form.pdfHeader) }}
                {{ form_row(main_form.pdfHeaderHeight) }}
                {{ form_row(main_form.pdfFooter) }}
                {{ form_row(main_form.pdfFooterHeight) }}
                {{ form_row(main_form.pdfStudentBadge) }}
                <small>&Egrave; possibile utilizzare le seguenti variabili per inserire nel campo i dati dell'utente:<br />
                    Nome:           {studentFirstName} <br />
                    Cognome:        {studentLastName} <br />
                    Username:       {studentFirstName} <br />
                    Email:          {studentEmail} <br />
                    Password:       {studentStartingPassword} <br />
                    Codice Fiscale: {studentFiscalCode} <br />
                    Classi/Gruppi:  {studentGroups} <br />
                    Percorso AD:    {studentHomeFolder}
                </small>
                <br /><br />

                {{ form_row(main_form.pdfStudentBadgePageSize) }}
                {{ form_row(main_form.pdfStudentBadgePageLandscape) }}
                <br /><br /><br />
            </div>
        </div>


    {{ form_widget(main_form.submit, {'attr':{'style' : 'display: none'}}) }}
    {{ form_end(main_form) }}

    <div class="row sendBtnArea">
        <div class="col-sm-4">
            <label for="{{ main_form.submit.vars.id }}" class="btn btn-success">{{ main_form.submit.vars.label }}</label>
        </div>
        <div class="col-sm-4 text-sm-center">
            {% if entity and entity.id %}<a href="{{ path('app_provider_showmanualsync', {id: entity.id}) }}" class="btn btn-secondary">Sincronizzazione Manuale</a>{% endif %}
            <a href="{{ path('config_edit') }}" class="btn btn-secondary">
                Ritorna alla configurazione
            </a>
        </div>
        <div class="col-sm-4 text-sm-right">
            {% if delete_form is defined %}
                {{ form(delete_form) }}
            {% endif %}
        </div>
    </div>
    </div>
</main>

        {% endblock %}


        {% block javascripts %}
            {{ parent() }}
            <script type="text/javascript">
        $(function($) {
            var filterDataCont = $("#provider_filterDataCont");
            var updateFilterOptions = function() {
                var currentFilter = $("#provider_filter").val();
                filterDataCont.children(".form-group").each(function(idx,el) {
                    var $el = $(el);
                    var id = $el.children("div").attr("id");
                    if(id !== undefined && id != "" && id.replace("provider_filterDataCont_","") == currentFilter) {
                        $el.show();
                    } else {
                        $el.hide();
                    }
                });
            };

            filterDataCont.children(".form-group").children("label").hide();
            filterDataCont.parent().children("label").hide();
            updateFilterOptions();
            $("#provider_filter").change(updateFilterOptions);

            var studentGoogleAppAutoEmailField = $("#provider_studentGoogleAppAutoEmail");
            var updateStudentGoogleAppAutoEmailStyle = function () {
                var fieldVal = studentGoogleAppAutoEmailField.val();
                console.log("change student email style", fieldVal);
                if(fieldVal == 4 || fieldVal == 5) {
                    $("#provider_studentGoogleAppAutoEmailStyle").parent().show()
                } else {
                    $("#provider_studentGoogleAppAutoEmailStyle").parent().hide()
                }
            }
            updateStudentGoogleAppAutoEmailStyle();
            studentGoogleAppAutoEmailField.change(updateStudentGoogleAppAutoEmailStyle);

            var teacherGoogleAppAutoEmailField = $("#provider_teacherGoogleAppAutoEmail");
            var updateTeacherGoogleAppAutoEmailStyle = function () {
                var fieldVal = teacherGoogleAppAutoEmailField.val();
                console.log("change teacher email style", fieldVal);
                if(fieldVal == 4 || fieldVal == 5) {
                    $("#provider_teacherGoogleAppAutoEmailStyle").parent().show()
                } else {
                    $("#provider_teacherGoogleAppAutoEmailStyle").parent().hide()
                }
            }
            updateTeacherGoogleAppAutoEmailStyle();
            teacherGoogleAppAutoEmailField.change(updateTeacherGoogleAppAutoEmailStyle);
        });
    </script>
{% endblock %}
